# Class CodeExecutionUtils.CodeExecutionResult

java.lang.Object
com.google.adk.JsonBaseModel
com.google.adk.codeexecutors.CodeExecutionUtils.CodeExecutionResult

Enclosing class:
  `CodeExecutionUtils`

public abstract static class CodeExecutionUtils.CodeExecutionResult extends JsonBaseModel
A structure that contains the result of code execution.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CodeExecutionUtils.CodeExecutionResult.Builder`
  Builder for `CodeExecutionUtils.CodeExecutionResult`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeExecutionResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CodeExecutionUtils.CodeExecutionResult.Builder`
  `builder()`
  `abstract com.google.common.collect.ImmutableList<CodeExecutionUtils.File>`
  `outputFiles()`
  The output files from the code execution.
  `abstract String`
  `stderr()`
  The standard error of the code execution.
  `abstract String`
  `stdout()`
  The standard output of the code execution.

  ### Methods inherited from class JsonBaseModel

  `fromJsonNode, fromJsonString, getMapper, toJson, toJsonNode, toJsonString`
  Modifier and Type
  Method
  Description
  `static <T extends JsonBaseModel>
  T`
  `fromJsonNode(com.fasterxml.jackson.databind.JsonNode jsonNode, Class<T> clazz)`
  Deserializes a JsonNode to an object of the given type.
  `static <T extends JsonBaseModel>
  T`
  `fromJsonString(String jsonString, Class<T> clazz)`
  Deserializes a Json string to an object of the given type.
  `static com.fasterxml.jackson.databind.ObjectMapper`
  `getMapper()`
  Returns the mutable ObjectMapper instance used by ADK.
  `String`
  `toJson()`
  Serializes this object (i.e., the ObjectMappper instance used by ADK) to a Json string.
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `toJsonNode(Object object)`
  Serializes an object to a JsonNode.
  `static String`
  `toJsonString(Object object)`
  Serializes an object to a Json string.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CodeExecutionResult

    public CodeExecutionResult()

- ## Method Details

  - ### stdout

    public abstract String stdout()
    The standard output of the code execution.

  - ### stderr

    public abstract String stderr()
    The standard error of the code execution.

  - ### outputFiles

    public abstract com.google.common.collect.ImmutableList<CodeExecutionUtils.File> outputFiles()
    The output files from the code execution.

  - ### builder

    public static CodeExecutionUtils.CodeExecutionResult.Builder builder()